package com.sun.jmx.snmp.internal;

import com.sun.jmx.snmp.SnmpMsg;
import com.sun.jmx.snmp.SnmpPdu;
import com.sun.jmx.snmp.SnmpBadSecurityLevelException;
import com.sun.jmx.snmp.SnmpUnknownSecModelException;
import com.sun.jmx.snmp.SnmpSecurityException;
import com.sun.jmx.snmp.SnmpTooBigException;
import com.sun.jmx.snmp.SnmpStatusException;

public interface SnmpOutgoingRequest
{
    public abstract SnmpSecurityCache getSecurityCache();
    
    public abstract int encodeMessage(byte[] p0) throws SnmpStatusException, SnmpTooBigException, SnmpSecurityException, SnmpUnknownSecModelException, SnmpBadSecurityLevelException;
    
    public abstract SnmpMsg encodeSnmpPdu(SnmpPdu p0, int p1) throws SnmpStatusException, SnmpTooBigException;
    
    public abstract String printMessage();
}
